CVE-2005-3146
CVSS2.1
发布时间 :2005-10-05 17:02:00
修订时间 :2008-09-05 16:53:34
NMCO    

[原文]StoreBackup before 1.19 allows local users to perform unauthorized operations on arbitrary files via a symlink attack on temporary files.


[CNNVD]StoreBackup不安全临时文件创建漏洞(CNNVD-200510-034)

        SoreBackup 是linux下的磁盘对拷小工具。
        StoreBackup 1.19之前版本可以使本地用户借助临时文件上的symlink攻击,在任意文件上执行未授权操作。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:storebackup:storebackup:1.2
cpe:/a:storebackup:storebackup:1.5
cpe:/a:storebackup:storebackup:1.4
cpe:/a:storebackup:storebackup:1.16.2
cpe:/a:storebackup:storebackup:1.9.1
cpe:/a:storebackup:storebackup:1.16.1
cpe:/a:storebackup:storebackup:1.1
cpe:/a:storebackup:storebackup:1.3
cpe:/a:storebackup:storebackup:1.8.1
cpe:/a:storebackup:storebackup:1.6
cpe:/a:storebackup:storebackup:1.12
cpe:/a:storebackup:storebackup:1.18
cpe:/a:storebackup:storebackup:1.11
cpe:/a:storebackup:storebackup:1.18.1
cpe:/a:storebackup:storebackup:1.18.3
cpe:/a:storebackup:storebackup:1.14
cpe:/a:storebackup:storebackup:1.12.1
cpe:/a:storebackup:storebackup:1.18.4
cpe:/a:storebackup:storebackup:1.10
cpe:/a:storebackup:storebackup:1.7
cpe:/a:storebackup:storebackup:1.10.1
cpe:/a:storebackup:storebackup:1.18.2
cpe:/a:storebackup:storebackup:1.12.2
cpe:/a:storebackup:storebackup:1.13
cpe:/a:storebackup:storebackup:1.17
cpe:/a:storebackup:storebackup:1.9
cpe:/a:storebackup:storebackup:1.8
cpe:/o:suse:suse_linuxSuSE SuSE Linux
cpe:/a:storebackup:storebackup:1.16
cpe:/a:storebackup:storebackup:1.15

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3146
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3146
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200510-034
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/14985
(PATCH)  BID  14985
http://sourceforge.net/project/shownotes.php?release_id=352676
(PATCH)  CONFIRM  http://sourceforge.net/project/shownotes.php?release_id=352676
http://www.us.debian.org/security/2006/dsa-1022
(UNKNOWN)  DEBIAN  DSA-1022
http://www.securityfocus.com/advisories/9384
(VENDOR_ADVISORY)  SUSE  SUSE-SR:2005:021
http://secunia.com/advisories/19489
(UNKNOWN)  SECUNIA  19489
http://secunia.com/advisories/17025
(UNKNOWN)  SECUNIA  17025
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=332434
(UNKNOWN)  MISC  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=332434

- 漏洞信息

StoreBackup不安全临时文件创建漏洞
低危 访问验证错误
2005-10-05 00:00:00 2006-06-14 00:00:00
本地  
        SoreBackup 是linux下的磁盘对拷小工具。
        StoreBackup 1.19之前版本可以使本地用户借助临时文件上的symlink攻击,在任意文件上执行未授权操作。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        storeBackup storeBackup 1.18
        storeBackup storeBackup-1.19.tar.bz2
        http://prdownloads.sourceforge.net/storebackup/storeBackup-1.19.tar.bz2?download
        storeBackup storeBackup 1.18.1
        storeBackup storeBackup-1.19.tar.bz2
        http://prdownloads.sourceforge.net/storebackup/storeBackup-1.19.tar.bz2?download
        storeBackup storeBackup 1.18.2
        storeBackup storeBackup-1.19.tar.bz2
        http://prdownloads.sourceforge.net/storebackup/storeBackup-1.19.tar.bz2?download
        storeBackup storeBackup 1.18.3
        storeBackup storeBackup-1.19.tar.bz2
        http://prdownloads.sourceforge.net/storebackup/storeBackup-1.19.tar.bz2?download
        storeBackup storeBackup 1.18.4
        Debian storebackup_1.18.4-2sarge1_all.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/s/storebackup/storebackup_1.18.4-2sarge1_all.deb
        storeBackup storeBackup-1.19.tar.bz2
        http://prdownloads.sourceforge.net/storebackup/storeBackup-1.19.tar.bz2?download

- 漏洞信息

19175
storebackup storeBackup.pl Unspecified Symlink Ownership Issue
Local Access Required Race Condition
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-08-05 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.19 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站